
Figure - Bug #113995
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开一应用（如图库）小窗，再打开另一应用-全屏，缓慢上划进入recent,同
时出现图库的小窗卡片和进程卡片
2022-11-16 17:20 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-16

Priority: High Due date: 2022-12-12

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212070251

Reproducibility: Every time Fixed Version: 2022-12-05

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、打开图库小窗

2、打开另一应用（如视频）

3、《缓慢》上划进入recent

【预期结果】

3、显示一个图库小窗卡片和一个视频进程卡片

【实际结果】

3、同时出现图库的小窗卡片和图库的进程卡片

PS:如果两个应用分别是音乐和图库，则不会出现该现象

History

#1 - 2022-11-16 17:48 - CD TEST-方永红

- Subject changed from 【AF】【EVT】【任务管理器】【仅图库】打开图库小窗，再打开另一应用-全屏，缓慢上划进入recent,同时出现图库的小窗卡片和

进程卡片 to 【AF】【EVT】【任务管理器】打开一应用（如图库）小窗，再打开另一应用-全屏，缓慢上划进入recent,同时出现图库的小窗卡片和进程卡

片

- Description updated

#2 - 2022-11-16 18:37 - CDTS-TEST 周婷

- Due date set to 2022-12-12

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-11-27 18:56 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛
请帮忙分析一下这个问题，是否需要修改隐藏小窗的时机，如果需要小窗同事配合，请描述一下依赖转给小窗同事。

#4 - 2022-12-01 10:57 - CD APP-李德盛

■ My analysis

日志：

loadTasksInBackground: 1

loadTasksInBackground: com.android.music

enterOrExitRecentTasks: isEnterRecentTasks=true,mExitFlag=2

loadTasksInBackground: 2

loadTasksInBackground: com.android.gallery3d

loadTasksInBackground: com.android.music

loadTasksInBackground: 2

loadTasksInBackground: com.android.gallery3d

loadTasksInBackground: com.android.music

添加log后测试发现，在调用enterRecentTasks后再调用getRecentTasks，拿到的task列表中包含了小窗task，先前约定getRecentTasks会过滤小窗task，需要小

窗定位原因

■ Next action

需小窗分析

#5 - 2022-12-01 11:03 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to DL FW-张挽强

#6 - 2022-12-02 16:07 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-王营

■ My analysis

https://share.thundersoft.com/redmine/issues/113483

与这个bug问题一致，全屏+小窗 上划需要进入recent小窗才消失，目前只要点击提示条小窗就消失。

■ Next action

麻烦luncher同事解决后一起关闭此问题

#7 - 2022-12-05 14:46 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-05

- Root cause set to 编码问题

■ Current conclusion

问题已修复，请在最新版本测试

■ My analysis

需要完全进入Recent后再将小窗消失。

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/167120/3

#8 - 2022-12-07 10:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212070251

12.7 

验证通过

#9 - 2022-12-07 10:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190114 2022-11-16 16-37-52.mp4 18 MB 2022-11-16 CD TEST-方永红

logcat.txt 2.27 MB 2022-11-16 CD TEST-方永红
